<app-header-logged pageOrigine="/choiceoption">
    <!-- <ion-back-button text="" [defaultHref]="defaultHref()"></ion-back-button> -->
</app-header-logged>


<app-ariane etape=2></app-ariane>
<ion-content scroll-y="true" class="contentPrincipal" [ngClass]="largeur>500? 'largeEcran' : 'smallEcran' ">
    <app-refresher></app-refresher>
    <form [formGroup]="onDeclarationForm">
        <div class="container">
            <!-- <ion-badge (click)="alertLocation('Infos Garantie',conditionGaranties)">
                <ion-icon name="alert"></ion-icon>
            </ion-badge> -->

            <!-- <h2 class="garantieTitle">Choix Garanties</h2> -->
            <!-- Date Garentie -->
            <!-- <div class="dates">
                <ion-grid *ngIf="!isEditOptions">

                    <ion-row>
                        <ion-col>
                            <ion-label class="labelTitreEffet" translate>date_effet</ion-label>
                            <ion-input [readonly]="isFlotte && (typeOrigineRoutine ==typeRoutineSimulation|| typeOrigineRoutine ==typeRoutineNewContrat)" class="labelTitreInput" (ionInput)="ajustInput('debut')" (ionChange)="ajustInputSecondeSession('debut')" [ngClass]="dateDebutError ?'dateErreur':''"
                                #debut formControlName="debut" type="date"></ion-input>
                        </ion-col>

                        <ion-col *ngIf="(isFlotte && typeOrigineRoutine ==typeRoutineSimulation  && numeroPivot ==simulationActif.numeroDansFlotte) || (isFlotte && typeOrigineRoutine ==typeRoutineNewContrat && false)   || (!isFlotte) || (typeOrigineRoutine==typeRoutineRenewContrat)  "
                            [ngClass]="!definitionByDate?'cachefin':''">
                            <ion-label class="labelTitreDuree" translate>duree</ion-label>
                            <ion-select #duree [placeholder]="dureePlaceholder" class="labelTitreInput" (ionChange)="ajustInputSecondeSession('duree')" [value]="dureeMois" [cancelText]="dismiss" [ngClass]="dateFinError ?'dateErreur':''">
                                <ion-select-option value="15"> 15 {{jours}}</ion-select-option>
                                <ion-select-option value="1"> 1 {{mois}}</ion-select-option>
                                <ion-select-option value="2"> 2 {{mois}}</ion-select-option>
                                <ion-select-option value="3"> 3 {{mois}}</ion-select-option>
                                <ion-select-option value="4"> 4 {{mois}}</ion-select-option>
                                <ion-select-option value="5"> 5 {{mois}}</ion-select-option>
                                <ion-select-option value="6"> 6 {{mois}}</ion-select-option>
                                <ion-select-option value="7"> 7 {{mois}}</ion-select-option>
                                <ion-select-option value="8"> 8 {{mois}}</ion-select-option>
                                <ion-select-option value="9"> 9 {{mois}}</ion-select-option>
                                <ion-select-option value="10"> 10 {{mois}}</ion-select-option>
                                <ion-select-option value="11"> 11 {{mois}}</ion-select-option>
                                <ion-select-option value="12"> 1 {{an}} </ion-select-option>
                            </ion-select>


                        </ion-col>
                        <ion-col>
                            <ion-label class="labelTitreCloture" translate>date_de_cloture</ion-label>
                            <ion-input readonly class="labelTitreInput2" (ionInput)="ajustInput('fin')" [ngClass]="dateFinError ?'dateErreur':''" #fin formControlName="fin" type="date"></ion-input>
                        </ion-col>
                    </ion-row>
                </ion-grid>


            </div> -->

            <div class="DateContainer">
                <ion-list *ngIf="!isEditOptions">
                    <ion-list-header>
                        <font color="#000091"> <strong>Durée Abonnement</strong></font>
                    </ion-list-header>
                    <!-- <ion-grid>

                    </ion-grid> -->
                    <ion-item>
                        <ion-label>Date Effet</ion-label>
                        <ion-input [readonly]="isFlotte && (typeOrigineRoutine ==typeRoutineSimulation|| typeOrigineRoutine ==typeRoutineNewContrat)" class="labelTitreInput" (ionInput)="ajustInput('debut')" (ionChange)="ajustInputSecondeSession('debut')" [ngClass]="dateDebutError ?'dateErreur':''"
                            #debut formControlName="debut" type="date"></ion-input>
                    </ion-item>
                    <ion-item *ngIf="(isFlotte && typeOrigineRoutine ==typeRoutineSimulation  && numeroPivot ==simulationActif.numeroDansFlotte) || (isFlotte && typeOrigineRoutine ==typeRoutineNewContrat && false)   || (!isFlotte) || (typeOrigineRoutine==typeRoutineRenewContrat)  "
                        [ngClass]="!definitionByDate?'cachefin':''">
                        <ion-label>Durée</ion-label>
                        <ion-select interface="popover" #duree [placeholder]="dureePlaceholder" class="labelTitreInput" (ionChange)="ajustInputSecondeSession('duree')" [value]="dureeMois" [cancelText]="dismiss" [ngClass]="dateFinError ?'dateErreur':''">
                            <ion-select-option value="15"> 15 {{jours}}</ion-select-option>
                            <ion-select-option value="1"> 1 {{mois}}</ion-select-option>
                            <ion-select-option value="2"> 2 {{mois}}</ion-select-option>
                            <ion-select-option value="3"> 3 {{mois}}</ion-select-option>
                            <ion-select-option value="4"> 4 {{mois}}</ion-select-option>
                            <ion-select-option value="5"> 5 {{mois}}</ion-select-option>
                            <ion-select-option value="6"> 6 {{mois}}</ion-select-option>
                            <ion-select-option value="7"> 7 {{mois}}</ion-select-option>
                            <ion-select-option value="8"> 8 {{mois}}</ion-select-option>
                            <ion-select-option value="9"> 9 {{mois}}</ion-select-option>
                            <ion-select-option value="10"> 10 {{mois}}</ion-select-option>
                            <ion-select-option value="11"> 11 {{mois}}</ion-select-option>
                            <ion-select-option value="12"> 1 {{an}} </ion-select-option>
                        </ion-select>
                    </ion-item>
                    <ion-item>
                        <ion-label>Date Cloture</ion-label>
                        <ion-input readonly class="labelTitreInput2" (ionInput)="ajustInput('fin')" [ngClass]="dateFinError ?'dateErreur':''" #fin formControlName="fin" type="date"></ion-input>
                    </ion-item>
                </ion-list>
            </div>


            <!--End Date Garentie -->
            <div class="contentBlock titreSection">

                <h2 class="garantieTitle">Nos garanties</h2>
                <!-- <div class="image" *ngIf="!showGarantie" (click)="affichageDetails('Garantie',true)">
                    <img src="../../assets/icon/search.svg">
                </div>
                <div class="image" *ngIf="showGarantie" (click)="affichageDetails('Garantie',false)">
                    <img src="../../assets/icon/cancel.svg">
                </div> -->
            </div>
            <!-- Garentie Unitaire *ngIf="showGarantie" [ngClass]="{'listPackOpen':showGarantie}"-->
            <div *ngIf="garanties.length > 0">
                <ion-list class="liste">
                    <!-- <ion-list-header class ="titreEtape">  <ion-label color = "light">ETAPE1-Choix Options <br><small><ion-text  *ngIf="isFlotte">(mode flotte)</ion-text></small> </ion-label>  </ion-list-header> -->
                    <br>

                    <ion-item *ngFor="let garantie of garantiesFormat;let i =index">
                        <ion-grid>
                            <ion-row>
                                <ion-label class="labelTitre">{{garantie.libelle}}</ion-label>
                            </ion-row>
                            <ion-row>
                                <small><ion-label class ="labelTitre" >{{garantie.slogan}}.</ion-label></small>
                            </ion-row>
                        </ion-grid>
                        <ion-checkbox [disabled]="garantie.inPack" checkbox-square *ngIf="garantie.obligatoire && !toutchecked" slot="start" readonly [checked]="obligatoireChecked" [value]="garantie"></ion-checkbox>
                        <ion-checkbox [disabled]="garantie.inPack" checkbox-square *ngIf="!garantie.obligatoire && this.removeCheckedFromArray(garantie) ==-1 && !toutchecked" (ionChange)="addCheckbox($event,garantie)" slot="start" checked="false" [value]="garantie"></ion-checkbox>
                        <ion-checkbox [disabled]="garantie.inPack" checkbox-square *ngIf="!garantie.obligatoire && this.removeCheckedFromArray(garantie) !=-1 || toutchecked" (ionChange)="addCheckbox($event,garantie)" slot="start" checked [value]="garantie"></ion-checkbox>

                        <ion-buttons slot="end">
                            <ion-button class="btnPlus" (click)="alertLocation(garantie.libelle,garantie.description)" size="small" shape="round" class="add">
                                <ion-icon name="add"></ion-icon>
                            </ion-button>
                        </ion-buttons>


                    </ion-item>

                </ion-list>
            </div>
            <!-- <button [ngxScrollTo]="'#targetPack'">Go to destination</button> -->
            <!--End Garentie Unitaire -->
            <div class="contentBlock titreSection">

                <h2 class="garantieTitle">Nos packs</h2>
                <!-- <div class="image" *ngIf="!showPack" (click)="affichageDetails('Pack',true,'targetPack')">
                    <img src="../../assets/icon/search.svg">
                </div>
                <div class="image" *ngIf="showPack" (click)="affichageDetails('Pack',false,'targetPack')">
                    <img src="../../assets/icon/cancel.svg">
                </div> -->
            </div>

            <!-- Pack Garentie *ngIf="showPack" [ngClass]="{'listPackOpen':showPack}"-->
            <div>
                <div *ngIf="TabPackTypeGarantieDto.length >= 1">
                    <ion-list class="liste">
                        <br>
                        <ion-item *ngFor="let pack of TabPackTypeGarantieDto;let i =index">
                            <ion-grid>
                                <ion-row>
                                    <ion-label class="labelTitre">{{pack.libelle}}</ion-label>
                                </ion-row>
                                <ion-row>
                                    <small><ion-label class ="labelTitre" >{{pack.slogan}}.</ion-label></small>
                                </ion-row>
                            </ion-grid>
                            <!-- [disabled]="packChecked" -->
                            <ion-checkbox [disabled]="pack.ExludePacke" [checked]="pack.checked" (ionChange)="togglePackDetails($event,i,pack.typeGaranties,pack)" slot="start" checkbox-square></ion-checkbox>
                            <ion-buttons slot="end">
                                <ion-button slot="end" (click)="alertLocation(pack.libelle,pack.description)" size="small" shape="round" class="add">
                                    <ion-icon name="add"></ion-icon>
                                </ion-button>
                            </ion-buttons>

                        </ion-item>

                        <!-- <div *ngIf="pack.typeGaranties && pack.checked">
                            <ion-list class="liste" *ngFor="let item of pack.typeGaranties;let j =index" lines="none">
                                <ion-item>
                                    <ion-grid>
                                        <ion-row>
                                            <ion-label class="labelTitre">{{item.libelle}}</ion-label>
                                        </ion-row>
                                        <ion-row>
                                            <small><ion-label class ="labelTitre" >{{item.slogan}}.</ion-label></small>
                                        </ion-row>
                                    </ion-grid>
                                </ion-item>

                            </ion-list>
                        </div> -->

                    </ion-list>
                </div>
                <div *ngIf="TabPackTypeGarantieDto.length < 1">
                    <marquee behavior="" direction="left">
                        <h2>Cette sous branche ne dispose pas de pack</h2>
                    </marquee>
                </div>
            </div>

        </div>
    </form>



</ion-content>
<ion-footer>
    <div class="bottomContainer">
        <div class="bottomBlock">
            <ion-button class="btnBlock" (click)="effacerDonnees()" fill="clear">
                <ion-icon name="arrow-dropleft-circle" slot="start"></ion-icon>
                précédent
            </ion-button>
            <ion-button class="btnBlock" (click)="validerEtape()" slot="end" fill="clear">
                suivant
                <ion-icon name="arrow-dropright-circle" slot="end"></ion-icon>
            </ion-button>
        </div>
    </div>


</ion-footer>
